variable "informatica_username" {}
variable "informatica_password" {}

variable "aws_shared_cred_file" {}
variable "aws_profile" {
  default = "default"
}

variable "aws_account_id" {
  type = list(string)
  default = [
    "265723766240"
  ]
}

variable "aws_region" {
  # test tier
  default = "us-east-1"
}

variable "vpc_tags" {
  type    = map(string)
  default = {
    Name = "test-tier"
    tier = "test"
  }
}

# needs at least two subnets
variable "private_subnets_filter" {
  type    = map(string)
  default = {
    Name = "test-private-*"
  }
}

variable "security_group" {
  type    = map(string)
  default = {
    tier = "test"
    Name = "internal"
  }
}

# see git tagging in .gitlab-ci.yml for image name.
variable "image_name" {
  description = "Secure Agent image name publish by .gitlab-ci.yml."
}

variable "container_name" {
  description = "Container name for Secure Agent image."
  default = "iics-secure-agent-test"
}
variable "container_network_mode" {
  default = "awsvpc"
}
variable "container_app_port" {
  type    = list(string)
  default = [
    7080,
    7443,
    5432]
}

# note that as per our licesning model each
# container would be an extran instance
variable "container_count" {
  default = 1
}

# see Secure Agent system requirements, before changing instance type, see the
# supported instance types for launch configuration.
variable "instance_type" {
  default = "t2.large"
}

# ecs

variable "ecs_iam_role" {
  default = "iics-secure-agent-iam-role"
}

variable "ecs_cluster_name" {
  default = "iics-agent-cluster"
}

variable "ecs_cluster_tags" {
  type    = map(string)
  default = {
    Name = "iics-agent-cluster"
    tier = "test"
  }
}

variable "ecs_task_name" {
  default = "iics-agent-task"
}

variable "ecs_task_tags" {
  type    = map(string)
  default = {
    Name = "iics-secure-agent"
    tier = "test"
  }
}

variable "ecs_service_name" {
  default = "iics-agent-service"
}

variable "efs_tags" {
  type = map(string)
  default = {
    Name = "iics-secure-agent"
    tier = "test"
  }
}

variable "secure_agnet_container_volumes" {
  type = list(string)
  default = [
    # see Dockerfile for these default values.
    "/home/agent/infaagent/apps/agentcore/infaagent.log",
    "/home/agent/infaagent/apps/agentcore/agentcore.log",
    "/home/agent/infaagent/apps/agentcore/logs",
    "/home/agent/infaagent/apps/agentcore/data"
  ]
}

variable "secure_agent_efs_volume" {
  default = "agent"
}

variable "secure_agent_sg_tags" {
  default = {
    Name = "secure-agent-efs-sg"
    tier = "test"
  }
}